Package com.sap.ai.sdk.core.model

# Class BckndobjectStoreSecretWithSensitiveDataRequestForPostCall

java.lang.Object
com.sap.ai.sdk.core.model.BckndobjectStoreSecretWithSensitiveDataRequestForPostCall

public class BckndobjectStoreSecretWithSensitiveDataRequestForPostCall extends Object
This represents all the meta-data and extra information to be stored as a k8-secret

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.Builder`
  Builder helper class.
  `static interface`
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.Builder1`
  Builder helper class.
  `static interface`
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.Builder2`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall()`
  Default constructor for BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `bucket(String bucket)`
  Set the bucket of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `static BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance with all required arguments.
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `data(Object data)`
  Set the data of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `endpoint(String endpoint)`
  Set the endpoint of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `String`
  `getBucket()`
  Bucket to be used
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`.
  `Object`
  `getData()`
  key:value pairs of data
  `String`
  `getEndpoint()`
  Optional parameter - URL of the storage server (S3 only)
  `String`
  `getName()`
  Name of the object store for the secret object to be created.
  `String`
  `getPathPrefix()`
  prefix folder to be added to storage path
  `String`
  `getRegion()`
  Optional parameter - Region of the storage server (S3 only)
  `String`
  `getType()`
  Storage type e.g.
  `String`
  `getUsehttps()`
  0, 1 flag for KF-serving annotations - serving.kubeflow.org/s3-usehttps
  `String`
  `getVerifyssl()`
  0, 1 flag for the KF-serving annotation - serving.kubeflow.org/s3-verifyssl
  `int`
  `hashCode()`
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `name(String name)`
  Set the name of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `pathPrefix(String pathPrefix)`
  Set the pathPrefix of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `region(String region)`
  Set the region of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `void`
  `setBucket(String bucket)`
  Set the bucket of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setData(Object data)`
  Set the data of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setEndpoint(String endpoint)`
  Set the endpoint of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setName(String name)`
  Set the name of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setPathPrefix(String pathPrefix)`
  Set the pathPrefix of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setRegion(String region)`
  Set the region of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setType(String type)`
  Set the type of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setUsehttps(String usehttps)`
  Set the usehttps of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `void`
  `setVerifyssl(String verifyssl)`
  Set the verifyssl of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `type(String type)`
  Set the type of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `usehttps(String usehttps)`
  Set the usehttps of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
  `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`
  `verifyssl(String verifyssl)`
  Set the verifyssl of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndobjectStoreSecretWithSensitiveDataRequestForPostCall

    protected BckndobjectStoreSecretWithSensitiveDataRequestForPostCall()
    Default constructor for BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.

- ## Method Details

  - ### name

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall name(@Nonnull String name)
    Set the name of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `name` - Name of the object store for the secret object to be created. Can be used later on check for existence of the secret.
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getName

    @Nonnull public String getName()
    Name of the object store for the secret object to be created. Can be used later on check for existence of the secret.
    Returns:
      name The name of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `name` - Name of the object store for the secret object to be created. Can be used later on check for existence of the secret.

  - ### type

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall type(@Nonnull String type)
    Set the type of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `type` - Storage type e.g. S3, GCS,...
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getType

    @Nonnull public String getType()
    Storage type e.g. S3, GCS,...
    Returns:
      type The type of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setType

    public void setType(@Nonnull String type)
    Set the type of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `type` - Storage type e.g. S3, GCS,...

  - ### bucket

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall bucket(@Nullable String bucket)
    Set the bucket of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `bucket` - Bucket to be used
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getBucket

    @Nonnull public String getBucket()
    Bucket to be used
    Returns:
      bucket The bucket of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setBucket

    public void setBucket(@Nullable String bucket)
    Set the bucket of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `bucket` - Bucket to be used

  - ### endpoint

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall endpoint(@Nullable String endpoint)
    Set the endpoint of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `endpoint` - Optional parameter - URL of the storage server (S3 only)
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getEndpoint

    @Nonnull public String getEndpoint()
    Optional parameter - URL of the storage server (S3 only)
    Returns:
      endpoint The endpoint of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setEndpoint

    public void setEndpoint(@Nullable String endpoint)
    Set the endpoint of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `endpoint` - Optional parameter - URL of the storage server (S3 only)

  - ### region

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall region(@Nullable String region)
    Set the region of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `region` - Optional parameter - Region of the storage server (S3 only)
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getRegion

    @Nonnull public String getRegion()
    Optional parameter - Region of the storage server (S3 only)
    Returns:
      region The region of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setRegion

    public void setRegion(@Nullable String region)
    Set the region of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `region` - Optional parameter - Region of the storage server (S3 only)

  - ### pathPrefix

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall pathPrefix(@Nullable String pathPrefix)
    Set the pathPrefix of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `pathPrefix` - prefix folder to be added to storage path
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getPathPrefix

    @Nonnull public String getPathPrefix()
    prefix folder to be added to storage path
    Returns:
      pathPrefix The pathPrefix of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setPathPrefix

    public void setPathPrefix(@Nullable String pathPrefix)
    Set the pathPrefix of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `pathPrefix` - prefix folder to be added to storage path

  - ### verifyssl

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall verifyssl(@Nullable String verifyssl)
    Set the verifyssl of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `verifyssl` - 0, 1 flag for the KF-serving annotation - serving.kubeflow.org/s3-verifyssl
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getVerifyssl

    @Nonnull public String getVerifyssl()
    0, 1 flag for the KF-serving annotation - serving.kubeflow.org/s3-verifyssl
    Returns:
      verifyssl The verifyssl of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setVerifyssl

    public void setVerifyssl(@Nullable String verifyssl)
    Set the verifyssl of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `verifyssl` - 0, 1 flag for the KF-serving annotation - serving.kubeflow.org/s3-verifyssl

  - ### usehttps

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall usehttps(@Nullable String usehttps)
    Set the usehttps of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `usehttps` - 0, 1 flag for KF-serving annotations - serving.kubeflow.org/s3-usehttps
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getUsehttps

    @Nonnull public String getUsehttps()
    0, 1 flag for KF-serving annotations - serving.kubeflow.org/s3-usehttps
    Returns:
      usehttps The usehttps of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setUsehttps

    public void setUsehttps(@Nullable String usehttps)
    Set the usehttps of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `usehttps` - 0, 1 flag for KF-serving annotations - serving.kubeflow.org/s3-usehttps

  - ### data

    @Nonnull public BckndobjectStoreSecretWithSensitiveDataRequestForPostCall data(@Nonnull Object data)
    Set the data of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance and return the same instance.
    Parameters:
      `data` - key:value pairs of data
    Returns:
      The same instance of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` class

  - ### getData

    @Nonnull public Object getData()
    key:value pairs of data
    Returns:
      data The data of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.

  - ### setData

    public void setData(@Nonnull Object data)
    Set the data of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `data` - key:value pairs of data

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndobjectStoreSecretWithSensitiveDataRequestForPostCall.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `BckndobjectStoreSecretWithSensitiveDataRequestForPostCall` instance with all required arguments.